Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.myfaces.util
Class DebugUtils

    java.lang.Object
      org.apache.myfaces.util.DebugUtils

public class DebugUtils
extends java.lang.Object

Utilities for logging.

Version:
  $Revision: 169655 $ $Date: 2005-05-11 12:45:06 -0400 (Wed, 11 May 2005) $
Author:
  Manfred Geiler (latest modification by $Author: grantsmith $)

Method Summary
`static void` | `assertError(boolean condition, org.apache.commons.logging.Log log_, java.lang.String msg)`
`static void` | `assertFatal(boolean condition, org.apache.commons.logging.Log log_, java.lang.String msg)`
`static java.lang.String` | `componentAsString(javax.faces.component.UIComponent comp)`
`static void` | `printComponent(javax.faces.component.UIComponent comp, java.io.PrintStream stream)`
`static void` | `printView(javax.faces.component.UIViewRoot uiViewRoot, java.io.PrintStream stream)`
`static void` | `traceView(java.lang.String additionalMsg)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### assertError

    public static void assertError(boolean condition,
                                   org.apache.commons.logging.Log log_,
                                   java.lang.String msg)
                            throws javax.faces.FacesException

  Throws:
    `javax.faces.FacesException`

### assertFatal

    public static void assertFatal(boolean condition,
                                   org.apache.commons.logging.Log log_,
                                   java.lang.String msg)
                            throws javax.faces.FacesException

  Throws:
    `javax.faces.FacesException`

### traceView

    public static void traceView(java.lang.String additionalMsg)

### printView

    public static void printView(javax.faces.component.UIViewRoot uiViewRoot,
                                 java.io.PrintStream stream)

### printComponent

    public static void printComponent(javax.faces.component.UIComponent comp,
                                      java.io.PrintStream stream)

### componentAsString

    public static java.lang.String componentAsString(javax.faces.component.UIComponent comp)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD